Subject: Re: [saag] ALG or application-layer gateway references

From: Dan Wing <[email-masked]>
Date: Wed, 14 Feb 2018 17:22:44 -0800

Michael Richardson <[email-masked]> wrote:

> RFC1928 (SOCKS) seems to be one for the first references I found in an RFC to application-layer gateways. (Good ol' Authenticated Firewall Traversal...) 
> 
> ALG otherwise has a wikipedia entry. 
> 
> I'm never happy citing Wikipedia if I can cite an RFC instead. Any suggestions?

Earliest strong citation I find is RFC2663's section 2.9, https://tools.ietf.org/html/rfc2663#section-2.9

-d

---

From: Michael Richardson <[email-masked]>
Date: Thu, 15 Feb 2018 11:53:42 -0500

Dan Wing <[email-masked]> wrote:
    >> RFC1928 (SOCKS) seems to be one for the first references I found in an
    >>RFC to application-layer gateways. (Good ol' Authenticated Firewall
    >>Traversal...)
    >>

    > Earliest strong citation I find is RFC2663's section 2.9,
    > https://tools.ietf.org/html/rfc2663#section-2.9

Thanks that one works well for me.

--
Michael Richardson <[email-masked]>, Sandelman Software Works
 -= IPv6 IoT consulting =-